Event on Application Payment onAppPayment
Choose a tool for developing with an AI agent:
- use Alaio Vibecode to build an app for Bitrix24 from a task description without knowing any programming language. The agent writes the code and deploys the app to a server, with no manual hosting setup
- use the MCP server to develop a REST API integration in your own project. The agent refers to the official REST documentation
Scope:
basicWho can subscribe: any user
The ONAPPPAYMENT event is triggered when an application is paid for.
Events will not be sent to the application until the installation is complete. Check the application installation
What the Handler Receives
Data is transmitted as a POST request
{
"event": "ONAPPPAYMENT",
"data": {
"CODE": "bitrix.gds_company",
"VERSION": 1,
"STATUS": "S",
"PAYMENT_EXPIRED": "N",
"DAYS": 28,
"LANGUAGE_ID": "de"
},
"ts": "1466439714",
"auth": {
"domain": "some-domain.bitrix24.com",
"server_endpoint": "https://oauth.bitrix.info/rest/",
"client_endpoint": "https://some-domain.bitrix24.com/rest/",
"member_id": "a223c6b3710f85df22e9377d6c4f7553"
}
}
Request Parameters
Required parameters are marked with *
|
Name |
Description |
|
event* |
Event character code — |
|
data* |
Payment data. The structure is described below |
|
ts* |
Date and time of the event sent from the queue |
|
auth* |
Authorization and account data. The structure is described below |
Parameter data
|
Name |
Description |
|
CODE* |
Application code |
|
VERSION* |
Installed application version |
|
STATUS* |
Application status. Possible values:
|
|
PAYMENT_EXPIRED* |
[Y|N] Flag indicating whether the paid period or trial period has expired |
|
DAYS* |
Number of days remaining until the end of the paid period or trial period |
|
LANGUAGE_ID* |
Set language: |
Parameter auth
|
Name |
Description |
|
domain* |
Address of the Bitrix24 account where the event occurred |
|
server_endpoint* |
Authorization server address for token renewal |
|
client_endpoint* |
Common path for API method calls to the account |
|
member_id* |
Unique identifier of the account |
Continue Learning
- Events: Overview of Methods and Events
- Register a New Event Handler event.bind
- Show information about the app app.info
- Event After Successful Application Installation OnAppInstall
- Event on Receiving Permission for Using onAppMethodConfirm Methods
- Event onUserAdd
- Event on Application Uninstallation: onAppUninstall